package com.atmob.keyboard_android.util.bridge.callback

/**
 * 结果回调
 */
interface ResultCallback {
    /**
     * 回调Flutter端，处理成功
     *
     * @param data 返回给Flutter端的结果数据
     */
    fun onSuccess(data: Any?)

    /**
     * 回调Flutter端，处理失败
     */
    fun onFail(errorCode: Int, errorMsg: String)

    /**
     * 回调Flutter端，方法未找到
     */
    fun onMethodNotFound()
}